/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.table-of-content {
  position: sticky;
  top: 15rem;
  left: 0;
}
.table-of-content .heading {
  margin: 0 0 1.6rem;
}
.table-of-content .icon {
  display: none;
}
.table-of-content .toc-item a {
  color: #1D1F1F;
  margin: 0 0 1.6rem;
  display: block;
  padding: 0.8rem 0;
  transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out, padding 0.2s ease-in-out;
  border-radius: 0.8rem;
  background-color: transparent;
}
.table-of-content .toc-item a:last-child {
  margin-bottom: 0;
}
.table-of-content .toc-item a.is-in-view {
  background-color: #E9D4F9;
  padding: 0.8rem;
}

@media (max-width: 768px) {
  .table-of-content {
    position: static;
    padding-bottom: 0 !important;
  }
  .table-of-content.pb-1, .table-of-content.pb-2, .table-of-content.pb-3, .table-of-content.pb-4, .table-of-content.pb-5 {
    padding-bottom: 0 !important;
  }
  .table-of-content .heading-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
  }
  .table-of-content .heading-container:hover {
    cursor: pointer;
  }
  .table-of-content .heading {
    font-size: 2rem;
    margin: 0rem;
  }
  .table-of-content .icon {
    display: block;
    font-size: 2rem;
  }
  .table-of-content .toc {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease;
  }
  .table-of-content .toc-item:first-child {
    margin-top: 2rem;
  }
  .table-of-content .toc-item a {
    font-size: 1.7rem;
  }
  .table-of-content .toc-item a.is-in-view {
    color: #1D1F1F;
  }
}